/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.session;

import junit.framework.Test;
import junit.framework.TestSuite;
import javax.rmi.PortableRemoteObject;
import org.objectweb.jonas.jtests.beans.flocal.TargetSLHome;
import org.objectweb.jonas.jtests.beans.flocal.Target;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * testcases  specifics for stateless session beans must be here
 */
public class G_ClientViewSL  extends B_ClientView {  

    protected static String BEAN_HOME = "flocalTargetSLHome";  
    protected static TargetSLHome home = null;

    public G_ClientViewSL(String name) {
	super(name);
    }
  
    public void testEmpty() throws Exception {
    }
  


    /**
     * init environment:
     * - load beans
     */
    protected void setUp() {
	super.setUp();
	useBeans("flocal", false);
    }
 
   public TargetSLHome getHome() throws Exception {
        if (home == null) {
            home = (TargetSLHome)PortableRemoteObject.narrow(ictx.lookup(BEAN_HOME), TargetSLHome.class);
	}
        assertTrue(home != null);
        return home;
    }

    public static Test suite() {
	return new TestSuite(G_ClientViewSL.class);
    }
    

    public static void main (String args[]) throws Exception  {
	String testtorun = null;
	// Get args
	for (int argn = 0; argn < args.length; argn++) {
	    String s_arg = args[argn];
	    Integer i_arg;
	    if (s_arg.equals("-n")) {
		testtorun = args[++argn];
	    }
	}
	if (testtorun == null) {
	    junit.textui.TestRunner.run(suite());
	} else { 
       
	    junit.textui.TestRunner.run(new G_ClientViewSL(testtorun));
        }
 
    }
}
